Package org.eclipse.microprofile.metrics.tck.metrics

## Class CountedMethodTagBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CountedMethodTagBeanTest

    public class CountedMethodTagBeanTest
    extends Object

### Constructor Summary

Constructors
`CountedMethodTagBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `countedTagMethodNotCalledYet​(Counter instanceOne, Counter instanceTwo)`
`void` `counterTagMethodsRegistered()`
`void` `instantiateTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountedMethodTagBeanTest

    public CountedMethodTagBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### counterTagMethodsRegistered

    @InSequence(1)
    public void counterTagMethodsRegistered()

#### countedTagMethodNotCalledYet

    @InSequence(2)
    public void countedTagMethodNotCalledYet​(Counter instanceOne,
                                             Counter instanceTwo)